Subject: Re: Cygwin and Tcl/TK
From: "David A. Cobb" <[email-masked]>
To: Mattias Waldau <[email-masked]>
Cc: [email-masked]
Date: Mon, 04 Sep 2000 16:45:37 -0400

Mattias Waldau wrote:

> I am actually looking for the mailing list of cygwin, so feel free to direct
> me there.
>

You've arrived !

>
> I need Tcl/TK and I have some problem getting my Tcl/TK-program running.
> Previously I installed Tcl/TK separately and everything worked nicely. Now I
> use cygwin's instead.
>
> I noticed that the Tcl-files all have the prefix "cyg".
>
> Is there some way of making cygwin Tcl/TK to behave like the normal
> installation, or shouldn't this be needed?
>

Look back through the past two weeks in the list archives.  Both of these issues
have been extensively discussed.  See, for example, "naming dll's".

>
> Thanks,
>
> Mattias
>
> P.s. I also noted that cygwin prefers not to be installed on c:\. This will
> result in problems compiling a lot of programs which depend on \bin\sh.exe
> to exist. (One example is gnuProlog).

In the archive you will see the reasons this is recommended.  Personally I
do have root at "C:\" and do not have a problem with it.  If you would need
to recompile that is reason enough to do it that way.  There have been some
problems with other (non-Cygwin) packages that want to use the C:\bin,
C:\USR\BIN, etc directories and you will need to be aware and not to
have one step on the other.

--
David A. Cobb, Software Engineer, Public Access Advocate
"Don't buy or use crappy software"
"By the grace of God I am a Christian man,
 by my actions a great sinner" -- The Way of a Pilgrim [R. M. French, tr.]

--
Want to unsubscribe from this list?
Send a message to [email-masked]